Name: octave-signal
Version: 1.2
Release: alt1.1
Summary: Functions for signal processing contributed to Octave
Packager: Paul Wolneykien <manowar@altlinux.ru>

Group: Sciences/Mathematics
License: GPLv2+ and Public Domain
Url: http://octave.sourceforge.net/

Source0: signal.tar.gz
Source1: irsa.tar.gz
Source2: image.tar.gz
Source3: communications.tar.gz

Patch0: image-octave-3.4.0.patch
Patch1: communications-hdf5-args.patch
Patch2: communications-octave-3.4.0.patch

Requires: %name-base %name-common

# Automatically added by buildreq on Mon Apr 25 2011
# optimized out: libgfortran-devel libgotoblas2-devel libhdf5-6-seq libstdc++-devel libtinfo-devel octave zlib-devel
BuildRequires: gcc-c++ libfftw3-devel libhdf5-devel liblapack-devel libncurses-devel libreadline-devel octave-devel

BuildRequires: gcc-c++ gcc-fortran libfftw3-devel libhdf5-devel libjpeg-devel liblapack-devel libncurses-devel libpng-devel libreadline-devel octave-devel

%description
Octave-forge is a community project for collaborative development of
Octave extensions. This meta-package for signal processing tasks
includes:

 - octave-signal-base -- basic data types and functions for signal
   processing;

 - octave-signal-common -- types and functions for processing of
   stationary two-dimensional signals (images) and irregular sampling
   analysis.

%package base
Group: Sciences/Mathematics
Requires: octave(optim) >= 1.0.0
Requires: octave(specfun) >= 0.0.0
Provides: octave(communications) = 1.0.10
Provides: octave(signal) = 1.0.11
Requires: octave >= 3.4.0
Summary: Base functions for signal processing contributed to Octave

%description base
Octave-forge is a community project for collaborative development of
Octave extensions. The extensions in this package include additional
data types, and functions for signal processing applications, including:

  - signal-v1.0.11 -- signal processing tools, including filtering,
    windowing and display functions;

  - communications-v1.0.10 -- digital communications, error correcting
    codes (channel code), source code functions, modulation and Galois
    fields.

%package common
Group: Sciences/Mathematics
Provides: octave(image) = 1.0.14
Provides: octave(irsa) = 1.0.7
Requires: octave >= 3.4.0
Summary: Common functions for signal processing contributed to Octave

%description common
Octave-forge is a community project for collaborative development of
Octave extensions. The extensions in this package include additional
data types, and functions for signal processing applications, including:

  - irsa-v1.0.7 -- irregular sampling analysis;

  - image-v1.0.14 -- reading, writing, and processing images (including
    feature extraction, image statistics, spatial and geometric
    transformations, morphological operations, linear filtering).

%prep
%setup -T -c %name-%version -a2 -a3
pushd image
%patch0 -p1
popd
tar czf image.patched.tar.gz image
pushd communications
%patch1 -p1
%patch2 -p1
popd
tar czf communications.patched.tar.gz communications

%build
octave -q -H --no-site-file --eval "pkg build -nodeps . %SOURCE0"
octave -q -H --no-site-file --eval "pkg build -nodeps . %SOURCE1"
octave -q -H --no-site-file --eval "pkg build -nodeps . image.patched.tar.gz"
octave -q -H --no-site-file --eval "pkg build -nodeps . communications.patched.tar.gz"

%install
mkdir -p %buildroot%_datadir/octave/packages
mkdir -p %buildroot%_libdir/octave/packages
octave -q -H --no-site-file --eval "pkg prefix %buildroot%_datadir/octave/packages %buildroot%_libdir/octave/packages; pkg install -local -nodeps signal-1.0.11.tar.gz"
octave -q -H --no-site-file --eval "pkg prefix %buildroot%_datadir/octave/packages %buildroot%_libdir/octave/packages; pkg install -local -nodeps communications-1.0.10.tar.gz"
octave -q -H --no-site-file --eval "pkg prefix %buildroot%_datadir/octave/packages %buildroot%_libdir/octave/packages; pkg install -local -nodeps image-1.0.14.tar.gz"
octave -q -H --no-site-file --eval "pkg prefix %buildroot%_datadir/octave/packages %buildroot%_libdir/octave/packages; pkg install -local -nodeps irsa-1.0.7.tar.gz"

%files base
%_datadir/octave/packages/signal-1.0.11
%_libdir/octave/packages/signal-1.0.11
%_datadir/octave/packages/communications-1.0.10
%_libdir/octave/packages/communications-1.0.10
%exclude %_datadir/octave/packages/communications-1.0.10/doc/comms.t*xi

%files common
%_datadir/octave/packages/image-1.0.14
%_libdir/octave/packages/image-1.0.14
%_datadir/octave/packages/irsa-1.0.7

%changelog
* Wed Apr 27 2011 Paul Wolneykien <manowar@altlinux.ru> 1.2-alt1.1
- Rebuild with the new version of Octave (3.4.0).
- Fix uses of depracated [M]Array2.
- Fixes for the new 3.4.0 version of Octave.

* Mon Apr 25 2011 Paul Wolneykien <manowar@altlinux.ru> 1.2-alt1
- Image v1.0.14
- IRSA v1.0.7
- Signal v1.0.11
- Do not use post scripts: rely on a filetrigger (starting from version 3.2.4-alt2.2).

* Mon Apr 18 2011 Paul Wolneykien <manowar@altlinux.ru> 1.1-alt2
- Pre-require Octave in order to run post scripts properly.

* Thu Jan 28 2010 Paul Wolneykien <manowar@altlinux.ru> 1.1-alt1
- Upgrade to communications v1.0.10

* Thu Jan 28 2010 Paul Wolneykien <manowar@altlinux.ru> 1.0-alt3
- Use non-statnard inclde path for libhdf5.
- Add auxiliary arguments for hdf5 create/open functions (communications
  package).

* Wed Dec 10 2008 Paul Wolneykien <manowar@altlinux.ru> 1.0-alt2
- Split package to 'base' and 'common' parts.

* Tue Nov 25 2008 Paul Wolneykien <manowar@altlinux.ru> 1.0-alt1
- Initial build for ALTLinux
